ionCube Logo
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 


 
Post new topic   Reply to topic    ionCube Forum Index -> ionCube Loader

IonCube PHP 5.6 vs IonCube PHP 7.2

Author Message
ioncubeuser2



Joined: 25 Jan 2019
Posts: 2

PostPosted: Fri Jan 25, 2019 10:15 pm    Post subject: IonCube PHP 5.6 vs IonCube PHP 7.2 Reply with quote

Hi,

we have a plugin on our Magento store which is encoded with IonCube. We have been working on PHP 5.6 for a while, but now are working on PHP 7.2 upgrade.

I noticed that the page that has the encoded plugin on it comes up as blank on PHP 7.2 (its working though on PHP 5.6). There are no errors on the page or in the logs for some reason. Error logging is turned on.

Is it the compatibility issue? Does my plugin supplier need to do re-encoding of the plugin for it to work on our site?

Thanks!
Back to top
View user's profile Send private message
alastair



Joined: 23 Feb 2010
Posts: 351

PostPosted: Mon Jan 28, 2019 10:27 am    Post subject: Reply with quote

Hi,

The error will be logged at some point depending on what the PHP ini settings of error_log and error_reporting are.

The most likely problem is that files produced by the PHP 5.6 encoder will not run on PHP 7.2. They will need to be encoded by either the 7.1 or 7.2 encoders.

There is a feature in the 10.2 ionCube PHP Encoder package called bundling that allows a single set of files to be produced that will run on PHP 5.6, 7.0, 7.1, 7.2 and 7.3.

Anyway, you will need to contact the plugin provider to ask them for an encoded version of their plugin that will run on PHP 7.2.
_________________
Alastair

ionCube
Back to top
View user's profile Send private message
ioncubeuser2



Joined: 25 Jan 2019
Posts: 2

PostPosted: Mon Jan 28, 2019 5:47 pm    Post subject: Reply with quote

alastair wrote:
Hi,

The error will be logged at some point depending on what the PHP ini settings of error_log and error_reporting are.

The most likely problem is that files produced by the PHP 5.6 encoder will not run on PHP 7.2. They will need to be encoded by either the 7.1 or 7.2 encoders.

There is a feature in the 10.2 ionCube PHP Encoder package called bundling that allows a single set of files to be produced that will run on PHP 5.6, 7.0, 7.1, 7.2 and 7.3.

Anyway, you will need to contact the plugin provider to ask them for an encoded version of their plugin that will run on PHP 7.2.


Thank you!
Back to top
View user's profile Send private message
Display posts from previous:   
Post new topic   Reply to topic    ionCube Forum Index -> ionCube Loader All times are GMT + 1 Hour
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum